<?php

namespace App\Generated\V1\Messages\Share;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class LikeMeCheckMessage extends Message
{
    use ValueHelper;

    protected $praiseId;
    protected $result;

    /**
     * @return int
     */
    public function getPraiseId()
    {
        return $this->praiseId;
    }

    public function requestRules()
    {
        return [
            ['praiseId', 'praise_id', 'bail|integer', Constants::INTEGER, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
